The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

cPanel upgrade to 11.32 -- seg fault

Discussion in 'General Discussion' started by neotech, Feb 22, 2012.

  1. neotech

    neotech Registered

    Joined:
    Feb 21, 2012
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Hello,

    One of our servers did an auto cpanel upgrade to 11.32 Build 1 yesterday. Now the apache gives the following error on approx every 2 hours.

    [Wed Feb 22 09:02:31 2012] [notice] Graceful restart requested, doing restart
    [Wed Feb 22 09:02:32 2012] [notice] seg fault or similar nasty error detected in the parent process

    After this stage, the service stops responding and hence all sites go down. Apache restart will fix the problem for 2 hours.
    We then downgraded Cpanel back to 11.30.6 build3. But problem still persist. We always have to restart apache every 2 hours.

    Sever Info.
    Server version: Apache/2.2.22 (Unix)
    Server built: Feb 21 2012 20:29:35
    Cpanel::Easy::Apache v3.9.2 rev9999

    Can anyone suggest a fix for this? Thank you in advance.

    Regards,
    N
     
  2. DjiXas

    DjiXas Well-Known Member

    Joined:
    Feb 10, 2007
    Messages:
    294
    Likes Received:
    0
    Trophy Points:
    16
    Same issue just that we did not upgrade to 11.31/32

    11.30.6.3, sites are dieing every day or so
     
  3. cPanelTristan

    cPanelTristan Quality Assurance Analyst
    Staff Member

    Joined:
    Oct 2, 2010
    Messages:
    7,623
    Likes Received:
    21
    Trophy Points:
    38
    Location:
    somewhere over the rainbow
    cPanel Access Level:
    Root Administrator
    Can you try reinstalling the timezonedb pecl module that we ship to see the results?

    Code:
    pecl uninstall timezonedb
    pecl install timezonedb
    If that does not correct the issue, are you running anything such as mod_perl on the machine? There was an older report on Apache 2.0 + mod_perl, you might experience an issue, although those systems were using FreeBSD rather than CentOS.

    Also, it would likely be beneficial to submit a ticket about the issue so we can check further. We've had a few reports of this type of error message (seg fault or similar nasty error detected in the parent process), but the issue was different in most all of the tickets I've researched.

    To submit a ticket, please use WHM > Support Center > Contact cPanel or using the link in my signature. If you would like us to track the resolution of the matter, please post the ticket number here.
     
  4. neotech

    neotech Registered

    Joined:
    Feb 21, 2012
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    HI,

    Thank you for the reply. We did an Apache compilation using easyapache after downgrading to cpanel. It worked for almost 18 hours. But just now I get this error again. I have installed timezonedb as you have suggested.

    We have not enabled mod_perl in this server. Can you suggest some tips on how to fix this?

    Regards,

    N.
     
  5. cPanelTristan

    cPanelTristan Quality Assurance Analyst
    Staff Member

    Joined:
    Oct 2, 2010
    Messages:
    7,623
    Likes Received:
    21
    Trophy Points:
    38
    Location:
    somewhere over the rainbow
    cPanel Access Level:
    Root Administrator
    So you are still receiving the error after reinstalling timezonedb? If so, I had a suggestion, which was to open up a ticket. Thanks!
     
  6. basic

    basic Active Member

    Joined:
    Nov 10, 2004
    Messages:
    41
    Likes Received:
    0
    Trophy Points:
    6
    Add-on questions:
    (1) How, actually, can cPanel 11.30 been upgraded to 11.32 -- is 11.32 now the "CURRENT" build? (We use "Release" on all servers.)
    (2) Is 11.32 *reasonable* stable now--and does 11.32 still work with PHP 5.2.17 ? (We don't want 5.3.x because of several scripts.)
    (3) Does anyone know if 3rd party applications like Softaculus, Fantastico, RVskin, and RVSiteBuilder work with 11.32?

    Thank you.
    Frank
     
  7. asturmas

    asturmas Well-Known Member
    PartnerNOC

    Joined:
    Jun 19, 2006
    Messages:
    138
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Portugal
    cPanel Access Level:
    DataCenter Provider
    Yes, yes and yes
    Only WHMSONIC have problems with 11.32.
     
  8. WhmSonic

    WhmSonic Well-Known Member

    Joined:
    Mar 19, 2007
    Messages:
    46
    Likes Received:
    0
    Trophy Points:
    6
    We have fixed the 11.32 issue on the software with cPanel staff. All WHMSonic servers have been patched and are ready for the 11.32 update. We were working on this issue with Jeff Petersen, a very special thanks to professional Level III Technical Analyst Jeff Petersen for his time.
     
  9. gwsnet

    gwsnet Registered

    Joined:
    Jul 22, 2007
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    someone solved the problem of whmsonic
    their support does not respond
    My whmsonic presented problems
     
  10. cPanelTristan

    cPanelTristan Quality Assurance Analyst
    Staff Member

    Joined:
    Oct 2, 2010
    Messages:
    7,623
    Likes Received:
    21
    Trophy Points:
    38
    Location:
    somewhere over the rainbow
    cPanel Access Level:
    Root Administrator
    Are you receiving seg faults or what problem precisely? Thanks!
     
Loading...

Share This Page